Difference between revisions of "Draft Line/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "La linea può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante {{Button|16px [[Draft Edit/it|Modifica]...")
(Created page with "===Unire le singole linee=== Se sono selezionate più linee collegati, esse possono essere fuse in una polilinea premendo lo strumento {{Button|Image:Draft...")
Line 19: Line 19:
 
La linea può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit/it|Modifica]]}}. Quindi si può spostare il punto centrale in una nuova posizione.
 
La linea può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit/it|Modifica]]}}. Quindi si può spostare il punto centrale in una nuova posizione.
  
===Fusing single lines===
+
===Unire le singole linee===
If several connected [[Draft Line|Draft Lines]] are selected they can be fused into a wire by pressing the {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade]]}} tool; however, this wire will not be editable. To create an editable wire, use {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade]]}} three more times on the new shapes (wire, closed wire, face). You can also fuse the original lines with the {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire]]}} tool.
+
Se sono selezionate più [[Draft Line/it|linee]] collegati, esse possono essere fuse in una polilinea premendo lo strumento {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}}, ma questa polilinea non sarà modificabile. Per creare una polilinea modificabile, usare {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/it|Upgrade]]}} altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire/it|Polilinea]]}}.
  
 
A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button, and click anywhere on the line.
 
A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button, and click anywhere on the line.

Revision as of 07:33, 16 April 2019

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg

Draft Line.svg Linea

Posizione nel menu
Draft → Linea
Ambiente
Draft, Architettura
Avvio veloce
L I
Introdotto nella versione
0.7
Vedere anche
DWire, Punto

Descrizione

Crea un segmento tra due punti nel piano di lavoro corrente. Il segmento assume il tipo di linea e il colore impostati in precedenza nella Barra dei comandi Draft Tray. Lo strumento Linea si comporta esattamente come lo strumento DWire di Draft, tranne che si disattiva dopo che sono stati definiti due punti.

Draft Line example.jpg

Linea creata da due punti

Utilizzo

  1. Premere il pulsante Draft Line.svg Linea o premere i tasti L e I
  2. Fare clic su un primo punto nella vista 3D, o digitare le sue coordinate e premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e premere il pulsante Draft AddPoint.svg aggiungi punto.

La linea può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare il punto centrale in una nuova posizione.

Unire le singole linee

Se sono selezionate più linee collegati, esse possono essere fuse in una polilinea premendo lo strumento Draft Upgrade.svg Upgrade, ma questa polilinea non sarà modificabile. Per creare una polilinea modificabile, usare Draft Upgrade.svg Upgrade altre tre volte sulle nuove forme (contorno, contorno chiuso, faccia). Si possono anche fondere le linee originali con lo strumento Draft Wire.svg Polilinea.

A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the Draft AddPoint.svg add point button, and click anywhere on the line.

Opzioni

  • Premere X, Y o Z e muovere il puntatore nell'area grafica dopo il primo punto per vincolare il secondo punto su uno specifico asse. In questo caso rimane attivo solo il campo corrispondente all'asse selezionato e in esso è mostrata la posizione corrente del cursore.
  • Per inserire le coordinate manualmente, è sufficiente inserire il loro valore, poi premere Invio per ogni componente X, Y e Z. In questo caso è bene tenere il puntatore del mouse fuori dall'area di lavoro in quanto un suo movimento accidentale cattura e inserisce nel campo di input le coordinate a cui si trova e costringe a ripetere l'inserimento.
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. In modalità Relativo, le coordinate del secondo punto sono relative al primo. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. In modalità Continua, al termine dell'operazione, lo strumento Linea si riavvia automaticamente e permette di disegnare un nuovo segmento senza dover ripetere il comando. I diversi segmenti costruiti in questo modo sono oggetti indipendenti, a differenza di quelli costruiti con DWire che sono invece parte di una unica polilinea.
  • Premere Ctrl mentre si disegna per ancorare il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
  • Premere Maiusc mentre si disegna per vincolare orizzontalmente o verticalmente il secondo punto rispetto al primo.
  • Premere Ctrl+Z o premere il pulsante Draft UndoLine.png Annulla per annullare l'ultimo punto inserito. Questa opzione permette di annullare a ritroso tutti punti inseriti.
  • Premere Esc o premere il pulsante Cancella per uscire dal comando Linea attivo.
  • Se sono selezionate diverse Linee Draft connesse, esse possono essere trasformate in una unica polilinea premendo il pulsante Promuovi.

Proprietà

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

DraftLineOptions it.png

2D
Base

  • DatiLabel : Nome dell'oggetto, modificabile a piacimento.
  • DatiPlacement : Raggruppa tutti i dati di posizionamento relativi a Angle, Axis, e Position a cui si accede tramite il pulsante triangolare di espansione . Selezionando invece il titolo Placement, o i dati, appare un pulsante con tre puntini. Cliccare su ... per accedere alla finestra delle opzioni di Posizionamento.
    • DatiAngle : Angolo di rotazione rispetto alle coordinate X, Y, Z.
    • DatiAxis : Seleziona l'asse, o gli assi, di rotazione X, Y, o Z. Per esempio, con un angolo impostato pari a 15°, specificando un valore di 1,0 per X, e di 2,0 per Y causa una rotazione finale del pezzo di 15° sull'asse X e di 30° sull'asse Y.
    • DatiPosition : Posizione delle coordinate X, Y, Z, rispetto all'origine 0, 0, 0.

Draft

  • DatiBase :
  • DatiChamfer Size : Stabilisce lo smusso dei vertici di una spezzata.
  • DatiClosed : Determina se la Wire è aperta o chiusa.
  • DatiEnd : Riepilogo delle coordinate del punto di fine linea (ultimo punto). E' possibile espandere questa opzione per modificarne i parametri.
  • DatiFillet Radius : Stabilisce il raggio per arrotondare i vertici di una spezzata.
  • DatiStart : Riepilogo delle coordinate di inizio linea (primo punto).
  • DataSubdivisions: Divide la linea in un dato numero di suddivisioni introduced in version 0.16

Data

  • DataStart: specifies the start point.
  • DataEnd: specifies the end point.
  • DataSubdivisions: specifies the number of interior nodes in the line. introduced in version 0.16
  • DataLength: (read-only) specifies the length of the segment.

View

  • ViewEnd Arrow: if it is true it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • ViewArrow Size: specifies the size of the symbol displayed at the end of the line.
  • ViewArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".

Script

Lo strumento Linea può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

The Line tool can be used in macros and from the Python console by using the following function:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crea un oggetto Linea tra i punti p1 e p2, ciascuno definito come un FreeCAD.Vector
  • Crea un oggetto Linea da un Part.LineSegment
  • Crea un oggetto Linea dal primo vertice all'ultimo vertice della Shape data
  • Usa lo stile di linea corrente

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg